## psi-plus 1.4.554

=== 3rdparty/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

if( USE_WEBENGINE )
    include(qhttp.cmake)
endif()
include(qite/libqite/libqite.cmake)
list(APPEND HEADERS ${qite_HEADERS})
list(APPEND PLAIN_SOURCES ${qite_SOURCES})

=== iris/CMakeLists.txt ===
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

project(iris)
cmake_minimum_required(VERSION 3.1.0)

if(POLICY CMP0071)
    cmake_policy(SET CMP0071 OLD)
endif()
if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()

set( IRIS_LIB_VERSION_MAJOR 1 )
set( IRIS_LIB_VERSION_MINOR 0 )
set( IRIS_LIB_VERSION_PATCH 0 )
set( IRIS_LIB_VERSION_STRING
    ${IRIS_LIB_VERSION_MAJOR}.${IRIS_LIB_VERSION_MINOR}.${IRIS_LIB_VERSION_PATCH}
    )

set( CMAKE_MODULE_PATH
    "${CMAKE_MODULE_PATH}"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
    "${CMAKE_CURRENT_SOURCE_DIR}/../cmake/modules"
    "${PROJECT_SOURCE_DIR}/cmake/modules"
    "${PROJECT_SOURCE_DIR}/../cmake/modules"
    )

option( USE_QJDNS "Use qjdns/jdns library. Disabled by default for Qt5" OFF )
option( SEPARATE_QJDNS "Build qjdns with iris library" OFF )

set(CMAKE_CXX_STANDARD 14)

include_directories(${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
include_directories(include/iris)

set(CMAKE_AUTOMOC OFF)

find_package(Qt5 COMPONENTS Core Gui Xml Network REQUIRED)
if(USE_QJDNS)
    message(WARNING "USE_QJDNS flag is enabled with Qt5. If you have problems with connection please disable this flag")
endif()

if(USE_QJDNS)
    add_definitions(-DNEED_JDNS)
endif()

find_package(Qca REQUIRED)
set(QCA_INCLUDES ${Qca_INCLUDE_DIR})
set(qca_LIB ${Qca_LIBRARY})

include_directories(
    ${QCA_INCLUDES}
)

macro(qt_wrap_cpp)
    set(_SOURCES ${ARGN})
    list(REMOVE_AT _SOURCES 0)
    foreach(SOURCE ${_SOURCES})
        if(SOURCE MATCHES "^(.*/|)([^/.]+)\\.h$")
            set(DEST "moc_${CMAKE_MATCH_2}.cpp")
            qt5_generate_moc(${SOURCE} ${DEST})
            list(APPEND ${ARGV0} ${DEST})
        elseif(SOURCE MATCHES "^(.*/|)([^/.]+)\\.cpp$")
            set(DEST "${CMAKE_MATCH_2}.moc")
            qt5_generate_moc(${SOURCE} ${DEST})
            list(APPEND ${ARGV0} ${DEST})
        else()
            message(WARNING "Wrong source ${SOURCE}")
        endif()
    endforeach()
    unset(_SOURCES)
endmacro()

if(NOT USE_QJDNS AND SEPARATE_QJDNS)
    message(WARNING "SEPARATE_QJDNS flag enabled, but USE_QJDNS flag disabled. Both flags will be disabled")
    set(SEPARATE_QJDNS OFF)
endif()

if(USE_QJDNS AND (NOT SEPARATE_QJDNS))
    add_definitions(-DJDNS_STATIC)
    set(QJDns_LIBRARY qjdns)
    include_directories(
        src/jdns/include/jdns
        )
    set(jdns_SRCS
        src/jdns/src/jdns/jdns.c
        src/jdns/src/jdns/jdns_mdnsd.c
        src/jdns/src/jdns/jdns_packet.c
        src/jdns/src/jdns/jdns_sys.c
        src/jdns/src/jdns/jdns_util.c
        )
    set(jdns_PUBLIC_HEADERS
        src/jdns/include/jdns/jdns.h
        src/jdns/include/jdns/jdns_export.h
        )
    set(jdns_HEADERS
        src/jdns/src/jdns/jdns_packet.h
        src/jdns/src/jdns/jdns_mdnsd.h
        src/jdns/src/jdns/jdns_p.h
        )
    add_library(jdns STATIC ${jdns_SRCS} ${jdns_HEADERS} ${jdns_PUBLIC_HEADERS})
    if(WIN32)
        target_link_libraries(jdns ws2_32 advapi32)
    endif()
    set(qjdns_MOC_HDRS
        src/jdns/include/jdns/qjdns.h
        src/jdns/include/jdns/qjdnsshared.h
        src/jdns/src/qjdns/qjdns_p.h
        src/jdns/src/qjdns/qjdnsshared_p.h
        )

    qt_wrap_cpp(qjdns_MOC_SRCS ${qjdns_MOC_HDRS})

    set(qjdns_SRCS
        src/jdns/src/qjdns/qjdns.cpp
        src/jdns/src/qjdns/qjdns_sock.cpp
        src/jdns/src/qjdns/qjdnsshared.cpp
        )

    set(qjdns_PUBLIC_HEADERS
        src/jdns/include/jdns/qjdns.h
        src/jdns/include/jdns/qjdnsshared.h
        )
    set(qjdns_HEADERS
        src/jdns/src/qjdns/qjdns_sock.h
        )
    add_library(${QJDns_LIBRARY} STATIC ${qjdns_SRCS} ${qjdns_MOC_SRCS} ${qjdns_MOC_HDRS} ${qjdns_PUBLIC_HEADERS})
    target_link_libraries(${QJDns_LIBRARY} Qt5::Core Qt5::Network)
    target_link_libraries(${QJDns_LIBRARY} jdns)
elseif(USE_QJDNS)
    set(QJDns_SUFFIX -qt5)
    find_package(QJDns REQUIRED)
    set(QJDns_LIBRARY ${QJDns_LIBRARY} PARENT_SCOPE)
    include_directories( ${QJDns_INCLUDE_DIR} )
endif()

find_package(IDN REQUIRED)

add_definitions(-DIRISNET_STATIC)

add_subdirectory(src/irisnet)
add_subdirectory(src/xmpp)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 14)

set( CMAKE_MODULE_PATH
    "${CMAKE_MODULE_PATH}"
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${PROJECT_SOURCE_DIR}/cmake/modules" )
set(CMAKE_AUTOMOC OFF)

if(LINUX)
    set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
    if(NOT DEV_MODE)
        set(PSI_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/${PROJECT_NAME}" CACHE STRING "Path to Psi/Psi+ libraries directory")
        set(PSI_DATADIR "${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}" CACHE STRING "Path to Psi/Psi+ data directory")
    else()
        set(PSI_LIBDIR "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")
        set(PSI_DATADIR "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")
    endif()
endif()

set(TRANSLATIONS_DIR "${PROJECT_SOURCE_DIR}/translations")

find_package(Qt5 COMPONENTS Widgets Core Gui Xml Network Concurrent Multimedia Svg Sql REQUIRED)
if(ENABLE_WEBKIT)
    if(NOT USE_WEBENGINE)
        find_package(Qt5 COMPONENTS WebKit WebKitWidgets REQUIRED)
        set(WEBKIT_LIBS Qt5::WebKit Qt5::WebKitWidgets)
    else()
        find_package(Qt5 COMPONENTS WebEngine WebEngineWidgets WebChannel REQUIRED)
        set(WEBKIT_LIBS Qt5::WebEngine Qt5::WebEngineWidgets Qt5::WebChannel)
    endif()
endif()
if(USE_KEYCHAIN)
    find_package( Qt5 COMPONENTS Keychain QUIET )
    if( Qt5Keychain_FOUND )
        message(STATUS "Found Qt5Keychain: ${QTKEYCHAIN_LIBRARIES}")
        set(KEYCHAIN_LIBS ${QTKEYCHAIN_LIBRARIES})
        include_directories(${QTKEYCHAIN_INCLUDE_DIRS})
        add_definitions(-DHAVE_KEYCHAIN)
    else()
        message(STATUS "Qt5Keychain - not found")
    endif()
endif()

if(LINUX)
    find_package(Qt5 COMPONENTS DBus X11Extras REQUIRED)
    find_package(XCB REQUIRED)
    set(EXTRA_LIBS
        ${XCB_LIBRARY}
    )
    include_directories(${LIBXCB_INCLUDE_DIR})
    add_definitions(${LIBXCB_DEFINITIONS})
endif()

if(APPLE)
    find_package(Qt5MacExtras REQUIRED)
    if(USE_SPARKLE)
        find_package(Sparkle REQUIRED)
        include_directories(${SPARKLE_INCLUDE_DIR})
        add_definitions(-DHAVE_SPARKLE)
    endif()
endif()

add_definitions(${LIBXCB_DEFINITIONS})

if(NOT ONLY_BINARY AND (EXISTS "${TRANSLATIONS_DIR}"))
    set(LANGS_EXISTS ON)
    find_package(Qt5 COMPONENTS LinguistTools REQUIRED)
    set(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})
endif()

set(QT_LIBRARIES Qt5::Widgets Qt5::Core Qt5::Network Qt5::Xml ${WEBKIT_LIBS} Qt5::Concurrent Qt5::Multimedia Qt5::Svg Qt5::Sql ${KEYCHAIN_LIBS})

if(LINUX)
    list(APPEND QT_LIBRARIES Qt5::DBus Qt5::X11Extras ${LIBXCB_LIBRARIES})
endif()
if(USE_WEBENGINE)
    list(APPEND EXTRA_LIBS qhttp)
endif()
if(APPLE)
    list(APPEND QT_LIBRARIES Qt5::MacExtras)
    if(USE_SPARKLE)
        list(APPEND EXTRA_LDFLAGS ${SPARKLE_LIBRARY})
    endif()
    list(APPEND EXTRA_LDFLAGS "-framework Carbon" "-framework AppKit" "-framework IOKit" "-framework CoreAudio" "-framework AudioToolbox")
endif()

find_package( Qca REQUIRED )

if(LINUX)
    find_package(X11 REQUIRED)
    include_directories(${X11_INCLUDE_DIR})
endif()

if(USE_ENCHANT)
    find_package(Enchant REQUIRED)
    list(APPEND EXTRA_LIBS ${Enchant_LIBRARY})
    include_directories(${Enchant_INCLUDE_DIR})
endif()
if(USE_HUNSPELL)
    find_package(Hunspell REQUIRED)
    list(APPEND EXTRA_LIBS ${HUNSPELL_LIBRARY})
    include_directories(${HUNSPELL_INCLUDE_DIR})
    if( WIN32 )
        include_directories( ${HUNSPELL_INCLUDE_DIR}/../ )
    endif()
endif()

macro(qt_wrap_cpp)
    set(_SOURCES ${ARGN})
    list(REMOVE_AT _SOURCES 0)
    foreach(SOURCE ${_SOURCES})
        if(SOURCE MATCHES "^(.*/|)([^/.]+)\\.h$")
            set(DEST "moc_${CMAKE_MATCH_2}.cpp")
            qt5_generate_moc(${SOURCE} ${DEST} TARGET ${PROJECT_NAME})
            list(APPEND ${ARGV0} ${DEST})
        elseif(SOURCE MATCHES "^(.*/|)([^/.]+)\\.cpp$")
            set(DEST "${CMAKE_MATCH_2}.moc")
            qt5_generate_moc(${SOURCE} ${DEST} TARGET ${PROJECT_NAME})
            list(APPEND ${ARGV0} ${DEST})
        else()
            message(WARNING "Wrong source ${SOURCE}")
        endif()
    endforeach()
    unset(_SOURCES)
endmacro()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}
    ${Qca_INCLUDE_DIR}
)

if( BUNDLED_IRIS )
    include_directories(
        ${PROJECT_SOURCE_DIR}/iris/src
        ${PROJECT_SOURCE_DIR}/iris/include
        ${PROJECT_SOURCE_DIR}/iris/include/iris
    )
else()
    include_directories(${Iris_INCLUDE_DIR})
endif()

string(TIMESTAMP PSI_COMPILATION_DATE "%Y-%m-%d")
string(TIMESTAMP PSI_COMPILATION_TIME "%H:%M:%S")

if(ENABLE_WEBKIT)
    if(NOT USE_WEBENGINE)
        set(PSI_VER_SUFFIX ", webkit")
    else()
        set(PSI_VER_SUFFIX ", webengine")
    endif()
endif()

if( NOT IS_PSIPLUS )
    set(CLIENT_NAME "Psi")
else()
    set(CLIENT_NAME "Psi+")
endif()

include(${PROJECT_SOURCE_DIR}/cmake/modules/get-version.cmake)

if(LINUX)
    message(STATUS "${CLIENT_NAME} libraries directory: ${PSI_LIBDIR}")
    message(STATUS "${CLIENT_NAME} data directory: ${PSI_DATADIR}")
endif()

configure_file(config.h.in config.h @ONLY)

add_definitions(
    -DQT_STATICPLUGIN
    -DHAVE_CONFIG
)

include(src.cmake)

# Only headers or very small sources
include(irisprotocol/irisprotocol.cmake)
include(protocol/protocol.cmake)
include(plugins/plugins.cmake)

add_subdirectory(AutoUpdater)
add_subdirectory(options)
add_subdirectory(tabs)
add_subdirectory(privacy)
add_subdirectory(Certificates)
add_subdirectory(avcall)
add_subdirectory(psimedia)
add_subdirectory(contactmanager)
add_subdirectory(tools)
add_subdirectory(libpsi/dialogs)
add_subdirectory(libpsi/tools)
add_subdirectory(widgets)
add_subdirectory(sxe)
add_subdirectory(whiteboarding)
if(APPLE)
    add_subdirectory(CocoaUtilities)
endif()

if(USE_WEBENGINE)
    include_directories(
        ${PROJECT_SOURCE_DIR}/3rdparty
        ${PROJECT_SOURCE_DIR}/3rdparty/http-parser
        ${PROJECT_SOURCE_DIR}/3rdparty/qhttp/src
        ${PROJECT_SOURCE_DIR}/3rdparty/qhttp/src/private
    )
endif()

if(LANGS_EXISTS)
    set(TRANSLATIONS
        ${TRANSLATIONS_DIR}/psi_be.ts
        ${TRANSLATIONS_DIR}/psi_bg.ts
        ${TRANSLATIONS_DIR}/psi_ca.ts
        ${TRANSLATIONS_DIR}/psi_cs.ts
        ${TRANSLATIONS_DIR}/psi_de.ts
        ${TRANSLATIONS_DIR}/psi_en.ts
        ${TRANSLATIONS_DIR}/psi_eo.ts
        ${TRANSLATIONS_DIR}/psi_es.ts
        ${TRANSLATIONS_DIR}/psi_et.ts
        ${TRANSLATIONS_DIR}/psi_fa.ts
        ${TRANSLATIONS_DIR}/psi_fi.ts
        ${TRANSLATIONS_DIR}/psi_fr.ts
        ${TRANSLATIONS_DIR}/psi_he.ts
        ${TRANSLATIONS_DIR}/psi_hu.ts
        ${TRANSLATIONS_DIR}/psi_it.ts
        ${TRANSLATIONS_DIR}/psi_ja.ts
        ${TRANSLATIONS_DIR}/psi_kk.ts
        ${TRANSLATIONS_DIR}/psi_mk.ts
        ${TRANSLATIONS_DIR}/psi_nl.ts
        ${TRANSLATIONS_DIR}/psi_pl.ts
        ${TRANSLATIONS_DIR}/psi_pt_BR.ts
        ${TRANSLATIONS_DIR}/psi_pt.ts
        ${TRANSLATIONS_DIR}/psi_ru.ts
        ${TRANSLATIONS_DIR}/psi_sk.ts
        ${TRANSLATIONS_DIR}/psi_sl.ts
        ${TRANSLATIONS_DIR}/psi_sr@latin.ts
        ${TRANSLATIONS_DIR}/psi_sv.ts
        ${TRANSLATIONS_DIR}/psi_sw.ts
        ${TRANSLATIONS_DIR}/psi_uk.ts
        ${TRANSLATIONS_DIR}/psi_ur_PK.ts
        ${TRANSLATIONS_DIR}/psi_vi.ts
        ${TRANSLATIONS_DIR}/psi_zh_CN.ts
        ${TRANSLATIONS_DIR}/psi_zh_TW.ts
    )

    set_property(SOURCE ${TRANSLATIONS}
        PROPERTY OUTPUT_LOCATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/translations)

    add_custom_target(lupdate)
    foreach(_LANG ${TRANSLATIONS})
        if(EXISTS "${_LANG}")
            get_filename_component(_SHORT_LANG ${_LANG} NAME_WE)
            string(REPLACE "@" "_" _SHORT_LANG ${_SHORT_LANG})
            add_custom_target(${_SHORT_LANG}
                COMMAND ${QT_LUPDATE_EXECUTABLE}
                ARGS -no-obsolete -recursive . ../iris -ts ${_LANG}
                WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                VERBATIM
            )
            add_dependencies(lupdate ${_SHORT_LANG})
        endif()
    endforeach()

    qt5_add_translation(QM ${TRANSLATIONS})
endif()

set(RESOURCES
    ${PROJECT_SOURCE_DIR}/psi.qrc
    ${PROJECT_SOURCE_DIR}/iconsets.qrc
)
qt5_add_resources(QRC_SOURCES ${RESOURCES})

qt5_wrap_ui(UI_FORMS ${FORMS})
add_custom_target(build_ui_files DEPENDS "${UI_FORMS}" SOURCES "${FORMS}")

qt_wrap_cpp(MOC_SOURCES ${SOURCES} ${HEADERS})

if(WIN32)
    if(IS_PSIPLUS)
        set(APP_NAME "Psi+")
    else()
        set(APP_NAME "Psi")
    endif()
    set(APP_COPYRIGHT "GNU GPL v2")
    set(APP_DESCRIPTION "${APP_NAME} : A cross-platform XMPP client designed for the power user")
    if(IS_PSIPLUS)
        set(COMPANY_NAME "Psi+ project")
    else()
        set(COMPANY_NAME "psi-im.org")
    endif()
    string(REPLACE "\." "," FILE_VERSION ${APP_VERSION})
    if(BUILD_ARCH STREQUAL "i386" OR (BUILD_ARCH STREQUAL "win32"))
        set(RC_SUFFIX "win32")
    else()
        set(RC_SUFFIX "win64")
    endif()
    # win resource creation
    configure_file(${PROJECT_SOURCE_DIR}/win32/psi_win.rc.in ${CMAKE_CURRENT_BINARY_DIR}/psi_win.rc @ONLY)
    # win resource compilation
    function(compile_rc_file RC_FILE_NAME RC_OUTPUT_NAME)
        set(_RC_FILE_NAME ${RC_FILE_NAME})
        set(_RC_OUTPUT_NAME ${RC_OUTPUT_NAME})
        if(NOT MSVC)
            set(CMD_ARG
                --include=${CMAKE_CURRENT_SOURCE_DIR}
                --input=${_RC_FILE_NAME}
                --output=${_RC_OUTPUT_NAME}
        )
        else()
            set(CMD_ARG
                /fo
                ${_RC_OUTPUT_NAME}
                ${_RC_FILE_NAME}
            )
        endif()
        add_custom_command(OUTPUT ${_RC_OUTPUT_NAME}
            COMMAND ${CMAKE_RC_COMPILER}
            ARGS ${CMD_ARG}
            WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/win32
            VERBATIM
        )
        set(_RC_FILE_NAME "")
        set(_RC_OUTPUT_NAME "")
    endfunction()

    set(DECS_RC_NAME ${CMAKE_CURRENT_BINARY_DIR}/psi_win.rc)
    set(RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/psi_win.o)
    compile_rc_file(${DECS_RC_NAME} ${RC_FILE})
endif()

add_executable(${PROJECT_NAME}
    WIN32
    MACOSX_BUNDLE
    ${SOURCES}
    ${HEADERS}
    ${MOC_SOURCES}
    ${UI_FORMS}
    ${PLAIN_SOURCES}
    ${PLAIN_HEADERS}
    ${QRC_SOURCES}
    ${QM}
    ${RC_FILE}
)

include(${PROJECT_SOURCE_DIR}/cmake/modules/fix-codestyle.cmake)

#Experimental feature
if(VERBOSE_PROGRAM_NAME)
    if(ENABLE_WEBKIT AND (NOT USE_WEBENGINE))
        set(VERBOSE_SUFFIX "-webkit")
    elseif(USE_WEBENGINE)
        set(VERBOSE_SUFFIX "-webengine")
    endif()
endif()
#

if(ENABLE_PORTABLE OR VERBOSE_PROGRAM_NAME)
    if(ENABLE_PORTABLE)
        set(PORTABLE_SUFFIX "-portable")
    endif()
    set(VERBOSED_NAME "${PROJECT_NAME}${VERBOSE_SUFFIX}${PORTABLE_SUFFIX}")
    set_target_properties(${PROJECT_NAME}
                PROPERTIES
                OUTPUT_NAME
                ${VERBOSED_NAME}
    )
endif()

set(STANDARD_NUM 14)

add_dependencies(${PROJECT_NAME} iris)
if(USE_WEBENGINE)
    add_dependencies(${PROJECT_NAME} qhttp)
endif()
add_dependencies(${PROJECT_NAME} build_ui_files)

if(WIN32 AND MSVC)
    list(APPEND EXTRA_LIBS
        wsock32
        user32
        shell32
        gdi32
        advapi32
    )
    if(USE_WEBENGINE)
        list(APPEND EXTRA_LIBS
            imm32
        )
    endif()
    add_definitions(
        -DQT_STATICPLUGIN
    )
endif()

target_link_libraries(${PROJECT_NAME}
    ${QT_LIBRARIES}
    ${EXTRA_LDFLAGS}
    ${X11_LIBRARIES}
    ${EXTRA_LIBS}
    iris
    ${Qca_LIBRARY}
)
target_link_libraries(${PROJECT_NAME}
    options
    Certificates
    psimedia
    contactmanager
    avcall
    whiteboarding
    sxe
    tools
    libpsi_dialogs
    libpsi_tools
    widgets
    privacy
    tabs
    AutoUpdater
)
if(APPLE)
    target_link_libraries(${PROJECT_NAME} CocoaUtilities)
endif()

set(OTHER_FILES
    ${PROJECT_SOURCE_DIR}/certs
    ${PROJECT_SOURCE_DIR}/iconsets
    ${PROJECT_SOURCE_DIR}/sound
)

set(DOC_FILES

=== src/AutoUpdater/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)

if(WIN32 AND IS_PSIPLUS)
    if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/QDChecker.cpp")
        set(USE_QDCHECKER ON)
    endif()
endif()

include_directories(
    ../
)

list(APPEND PLAIN_HEADERS
    AutoUpdater.h
)

list(APPEND PLAIN_SOURCES
    AutoUpdater.cpp
)

if(APPLE AND USE_SPARKLE)
    list(APPEND HEADERS
        SparkleAutoUpdater.h
    )
    list(APPEND SOURCES
        SparkleAutoUpdater.mm
    )
    set(EXTRA_LIB
        ${SPARKLE_LIBRARY}
    )
endif()

if(USE_QDCHECKER)
    add_definitions(-DUSE_QDCHECKER)
    list(APPEND HEADERS
        QDChecker.h
    )
    list(APPEND PLAIN_SOURCES
        QDChecker.cpp
    )
    list(APPEND FORMS
        QDChangeLog.ui
    )
    include_directories(
        ../tools/optionstree
        ../widgets
    )
    set(EXTRA_STATIC_LIBS
        tools
        widgets
    )
endif()

qt5_wrap_ui(UI_FORMS ${FORMS})
qt_wrap_cpp(MOC_SOURCES ${HEADERS})
add_library(AutoUpdater STATIC ${HEADERS} ${MOC_SOURCES} ${UI_FORMS} ${PLAIN_SOURCES})
if(USE_QDCHECKER)
    add_dependencies(AutoUpdater build_ui_files tools widgets)
endif()
target_link_libraries(AutoUpdater ${EXTRA_STATIC_LIBS} ${QT_LIBRARIES} ${EXTRA_LIB})
target_include_directories(AutoUpdater PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== src/avcall/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)

include_directories(
    ${PROJECT_SOURCE_DIR}/iris/include/iris
    ${PROJECT_SOURCE_DIR}/iris/src
)

add_definitions(-DDEBUG_POSTFIX="")

set(HEADERS
    jinglertptasks.h
    jinglertp.h
    avcall.h
    calldlg.h
    mediadevicewatcher.h
)

set(SOURCES
    jinglertp.cpp
    avcall.cpp
    calldlg.cpp
)

set(PLAIN_SOURCES
    jinglertptasks.cpp
    mediadevicewatcher.cpp
)

set(FORMS
    call.ui
)

qt5_wrap_ui(UI_FORMS ${FORMS})
qt_wrap_cpp(MOC_SOURCES ${SOURCES} ${HEADERS})
add_library(avcall STATIC ${SOURCES} ${HEADERS} ${MOC_SOURCES} ${UI_FORMS} ${PLAIN_SOURCES})
add_dependencies(avcall build_ui_files)
target_link_libraries(avcall ${QT_LIBRARIES} ${iris_LIB} libpsi_tools widgets)
target_include_directories(avcall PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== src/plugins/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.1.0 )
if(NOT PROJECT_NAME)
    project(psi-plugins)
endif()
set_directory_properties(PROPERTIES
    INCLUDE_DIRECTORIES ""
    COMPILE_DEFINITIONS ""
)

set( CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${PROJECT_SOURCE_DIR}/cmake/modules
    ${CMAKE_CURRENT_LIST_DIR}/cmake/modules
)

#Find Psi Plugins API
find_package(PsiPluginsApi QUIET)
if(PsiPluginsApi_DIR)
    include(${PsiPluginsApi_DIR}/variables.cmake)
endif()

if(PROJECT_NAME AND MAIN_PROGRAM_NAME)
    message(STATUS "Main Program: ${MAIN_PROGRAM_NAME}")
    message(STATUS "Plugins Install Path: ${PLUGINS_INSTALL_PATH}")
    message(STATUS "Plugins Data Path: ${PLUGINS_DATA_PATH}")
endif()

option( BUILD_DEV_PLUGINS "Build plugins from dev directory" OFF )
set(MAIN_PROGRAM_NAME "psi" CACHE STRING "Main program name: psi or psi-plus")

if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/generic")
    set(GENERIC_PLUGINS_FOUND ON)
    message(STATUS "Generic plugins found: ${CMAKE_CURRENT_LIST_DIR}")
else()
    message(FATAL_ERROR "ENABLE_PLUGINS flag is enabled but no generic plugins found at ${CMAKE_CURRENT_LIST_DIR}")
endif()
if(LINUX)
    if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/unix")
        set(UNIX_PLUGINS_FOUND ON)
        message(STATUS "Unix plugins found: ${CMAKE_CURRENT_LIST_DIR}")
    else()
        message(WARNING "ENABLE_PLUGINS flag is enabled but no unix plugins found at ${CMAKE_CURRENT_LIST_DIR}")
    endif()
endif()

if(BUILD_DEV_PLUGINS)
    if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/dev")
        set(DEV_PLUGINS_FOUND ON)
        message(STATUS "Dev plugins found: ${CMAKE_CURRENT_LIST_DIR}")
    else()
        message(WARNING "ENABLE_PLUGINS flag is enabled but no dev plugins found at ${CMAKE_CURRENT_LIST_DIR}")
    endif()
endif()

if( NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY )
    if( ${PROJECT_SOURCE_DIR} )
        set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/psi")
    else()
        set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")
    endif()
endif()
# Use the same path for shared and static plugins
if(WIN32)
    #Store old runtime output path
    set(OLD_RUNTIME_TARGETS ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
    #Set runtime output path for plugins dll-files
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/plugins")
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/")
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/")
else()
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/plugins")
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/plugins")
endif()

set(BUILD_PLUGINS "ALL" CACHE STRING "List of plugins to build")

if(NOT "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_NO_DEBUG )
else()
    add_definitions( -Wall )
endif()

if(IS_PSIPLUS)
    set(MAIN_PROGRAM_NAME "psi-plus")
endif()

if(NOT WIN32)
    set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
    set(PLUGINS_PATH "lib${LIB_SUFFIX}/${MAIN_PROGRAM_NAME}/plugins" CACHE STRING "Install suffix for plugins")
else()
    set(PLUGINS_PATH "${MAIN_PROGRAM_NAME}/plugins" CACHE STRING "Install suffix for plugins")
endif()

if(GENERIC_PLUGINS_FOUND)
    add_subdirectory(generic)
endif()
if(LINUX AND UNIX_PLUGINS_FOUND)
    add_subdirectory(unix)
endif()
if(BUILD_DEV_PLUGINS AND DEV_PLUGINS_FOUND)
    add_subdirectory(dev)
endif()

unset(BUILD_PLUGINS CACHE)
unset(PLUGINS_PATH CACHE)
#Restore default psi runtime output path
if(WIN32)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${OLD_RUNTIME_TARGETS}")
endif()

=== src/psimedia/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)

list(APPEND HEADERS
    psimedia.h
    psimedia_p.h
)

list(APPEND PLAIN_HEADERS
    psimediaprovider.h
)

list(APPEND PLAIN_SOURCES
    psimedia.cpp
)

add_definitions( -DQT_GUI_LIB )

qt_wrap_cpp(MOC_SOURCES ${SOURCES} ${HEADERS})
add_library(psimedia STATIC ${SOURCES} ${HEADERS} ${MOC_SOURCES} ${UI_FORMS} ${PLAIN_SOURCES})
target_link_libraries(psimedia ${QT_LIBRARIES})
target_include_directories(psimedia PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== src/sxe/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(PLAIN_SOURCES
    sxeedit.cpp
    sxemanager.cpp
    sxenewedit.cpp
    sxerecord.cpp
    sxerecordedit.cpp
    sxeremoveedit.cpp
    sxesession.cpp
)

set(HEADERS
    sxemanager.h
    sxerecord.h
    sxesession.h
)

set(PLAIN_HEADERS
    sxeedit.h
    sxenewedit.h
    sxerecordedit.h
    sxeremoveedit.h
)

qt_wrap_cpp(MOC_SOURCES ${HEADERS})
add_library(sxe STATIC ${HEADERS} ${MOC_SOURCES} ${PLAIN_SOURCES} ${PLAIN_HEADERS})
target_link_libraries(sxe ${QT_LIBRARIES} ${iris_LIB} libpsi_tools widgets)

=== src/tabs/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)

set(HEADERS
    tabdlg.h
    tabmanager.h
    tabbablewidget.h
)

set(PLAIN_SOURCES
    tabdlg.cpp
    tabmanager.cpp
    tabbablewidget.cpp
)

qt_wrap_cpp(MOC_SOURCES ${HEADERS})
add_library(tabs STATIC  ${HEADERS} ${MOC_SOURCES} ${PLAIN_SOURCES})
target_link_libraries(tabs ${QT_LIBRARIES} ${iris_LIB} tools widgets)
target_include_directories(tabs PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== src/whiteboarding/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(PLAIN_SOURCES
    wbdlg.cpp
    wbitem.cpp
    wbmanager.cpp
    wbnewimage.cpp
    wbnewitem.cpp
    wbnewpath.cpp
    wbscene.cpp
    wbwidget.cpp
)

set(HEADERS
    wbdlg.h
    wbitem.h
    wbmanager.h
    wbscene.h
    wbwidget.h
)

set(PLAIN_HEADERS
    wbnewimage.h
    wbnewitem.h
    wbnewpath.h
)

qt_wrap_cpp(MOC_SOURCES ${HEADERS})
add_library(whiteboarding STATIC ${HEADERS} ${MOC_SOURCES} ${PLAIN_SOURCES} ${PLAIN_HEADERS})
add_dependencies(whiteboarding build_ui_files)
target_link_libraries(whiteboarding ${QT_LIBRARIES} tools widgets)

=== src/widgets/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

set(SOURCES
    busywidget.cpp
    fancylabel.cpp
    fancypopup.cpp
    iconaction.cpp
    iconselect.cpp
    iconwidget.cpp
    psirichtext.cpp
    psitextview.cpp
    psitooltip.cpp
    tabbar.cpp
    urlobject.cpp
)

set(PLAIN_SOURCES
    actionlineedit.cpp
    pixmapratiolabel.cpp
    psitabbar.cpp
    psitabwidget.cpp
    psitiplabel.cpp
    typeaheadfind.cpp
    urllabel.cpp
)

set(HEADERS
    actionlineedit.h
    busywidget.h
    fancylabel.h
    fancypopup.h
    fancypopuplist.h
    iconaction.h
    iconbutton.h
    iconlabel.h
    iconselect.h
    iconsetdisplay.h
    iconsetselect.h
    icontoolbutton.h
    iconwidget.h
    pixmapratiolabel.h
    psitabbar.h
    psitabwidget.h
    psitextview.h
    psitiplabel.h
    tabbar.h
    typeaheadfind.h
    updatingcombobox.h
    urllabel.h
    urlobject.h
)

set(PLAIN_HEADERS
    psirichtext.h
    psitooltip.h
    stretchwidget.h
)

set(FORMS
    fancypopup.ui
)

if(IS_PSIPLUS AND (EXISTS "${CMAKE_CURRENT_LIST_DIR}/psiwindowheader.cpp"))
    list(APPEND PLAIN_SOURCES
        psiwindowheader.cpp
    )
    list(APPEND HEADERS
        psiwindowheader.h
    )
    list(APPEND FORMS
        psiwindowheader.ui
    )
endif()

qt5_wrap_ui(UI_FORMS ${FORMS})
qt_wrap_cpp(MOC_SOURCES ${SOURCES} ${HEADERS})
add_library(widgets STATIC ${SOURCES} ${HEADERS} ${MOC_SOURCES} ${UI_FORMS} ${PLAIN_SOURCES} ${PLAIN_HEADERS})
target_link_libraries(widgets ${QT_LIBRARIES} ${iris_LIB} libpsi_tools)
target_include_directories(widgets PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== iris/src/irisnet/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    corelib
    noncore
    noncore/cutestuff
    noncore/legacy
    ${QCA_INCLUDES}
)

set( CMAKE_MODULE_PATH
    "${CMAKE_MODULE_PATH}"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
    "${CMAKE_CURRENT_SOURCE_DIR}/../cmake/modules"
)

set(PLAIN_SOURCES
    corelib/irisnetglobal.cpp
    corelib/irisnetplugin.cpp

    noncore/icetransport.cpp
    noncore/stunmessage.cpp
    noncore/stuntypes.cpp
    noncore/stunutil.cpp

    noncore/cutestuff/bytestream.cpp
    noncore/cutestuff/httpconnect.cpp
    noncore/cutestuff/httppoll.cpp
    noncore/cutestuff/socks.cpp

    noncore/legacy/ndns.cpp
    noncore/legacy/servsock.cpp
    noncore/legacy/srvresolver.cpp
)

set(SOURCES
    corelib/addressresolver.cpp
    corelib/netavailability.cpp
    corelib/netinterface.cpp
    corelib/netinterface_qtnet.cpp
    corelib/netnames.cpp
    corelib/objectsession.cpp

    noncore/ice176.cpp
    noncore/icecomponent.cpp
    noncore/icelocaltransport.cpp
    noncore/iceturntransport.cpp
    noncore/processquit.cpp
    noncore/stunallocate.cpp
    noncore/stunbinding.cpp
    noncore/stuntransaction.cpp
    noncore/turnclient.cpp
    noncore/udpportreserver.cpp

    noncore/cutestuff/bsocket.cpp
)

if(UNIX)
    list(APPEND SOURCES corelib/netinterface_unix.cpp)
endif()

if(NOT USE_QJDNS)
    list(APPEND SOURCES corelib/netinterface_qtname.cpp)
else()
    list(APPEND SOURCES corelib/netnames_jdns.cpp)
endif()

set(PLAIN_HEADERS
    corelib/irisnetexport.h
    corelib/irisnetglobal.h
    corelib/irisnetglobal_p.h

    noncore/stunmessage.h
    noncore/stuntypes.h
    noncore/stunutil.h
)

set(HEADERS
    corelib/addressresolver.h
    corelib/irisnetplugin.h
    corelib/netavailability.h
    corelib/netinterface.h
    corelib/netnames.h
    corelib/objectsession.h

    noncore/ice176.h
    noncore/icecomponent.h
    noncore/icelocaltransport.h
    noncore/icetransport.h
    noncore/iceturntransport.h
    noncore/processquit.h
    noncore/stunallocate.h
    noncore/stunbinding.h
    noncore/stuntransaction.h
    noncore/turnclient.h
    noncore/udpportreserver.h

    noncore/cutestuff/bsocket.h
    noncore/cutestuff/bytestream.h
    noncore/cutestuff/httpconnect.h
    noncore/cutestuff/httppoll.h
    noncore/cutestuff/socks.h

    noncore/legacy/ndns.h
    noncore/legacy/servsock.h
    noncore/legacy/srvresolver.h
)

qt_wrap_cpp(MOC_SOURCES ${HEADERS} ${SOURCES})
add_library(irisnet STATIC ${SOURCES} ${HEADERS} ${MOC_SOURCES} ${PLAIN_SOURCES} ${PLAIN_HEADERS} )

if(WIN32 AND (SEPARATE_QJDNS OR (NOT USE_QJDNS)))
    set(EXTRA_LDFLAGS ws2_32)
endif()

if(NOT USE_QJDNS)
    set(QJDns_LIBRARY "")
endif()

target_link_libraries(irisnet ${QJDns_LIBRARY} ${EXTRA_LDFLAGS})
target_link_libraries(irisnet Qt5::Core Qt5::Network Qt5::Xml ${qca_LIB})

=== debian/changelog ===
psi-plus (1.4.554-5) unstable; urgency=medium

  * Add patch fix-build-with-qt-5.15. (Closes: #974207)

 -- Boris Pek <tehnick@debian.org>  Wed, 27 Jan 2021 01:04:36 +0300

psi-plus (1.4.554-4) unstable; urgency=medium

  * Add patch change-omemo-initialization-vector-length:
    See: https://github.com/xsf/xeps/pull/894

 -- Boris Pek <tehnick@debian.org>  Wed, 26 Feb 2020 03:49:21 +0300

psi-plus (1.4.554-3) unstable; urgency=medium

  * Add patch send-unavailable-presence-on-program-exit.
  * Add new translation to psi-plus-webkit.desktop.
  * Update debian/control:
    - bump Standards-Version to 4.4.0 (was 4.3.0): no changes required
    - revert update of email address of Debian XMPP Maintainers
    - update long descriptions of packages
    - add libgnome-keyring0 to Suggests of psi-plus and psi-plus-webkit
      packages due to features of work of qt5keychain library in GNOME
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Wed, 24 Jul 2019 02:46:25 +0300

psi-plus (1.4.554-2) unstable; urgency=medium

  * Add patch disable-usage-of-system-proxies. (Closes: #874561)
  * Add patch fix-autoscroll-in-chats.

 -- Boris Pek <tehnick@debian.org>  Thu, 21 Mar 2019 00:41:20 +0300

psi-plus (1.4.554-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper version to 12~ (was 11); update debian/compat.
  * Update debian/control:
    - bump Standards-Version to 4.3.0 (was 4.2.1): no changes required
    - add dependency from libqt5sql5-sqlite to psi-plus and psi-plus-webkit
      binary packages
    - secure URLs: http --> https
    - sort strings using wrap-and-sort tool
  * Update debian/upstream/metadata.
  * Update debian/psi-plus*.docs
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 17 Feb 2019 03:07:36 +0300

psi-plus (1.3.425-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control:
    - bump Standards-Version to 4.2.1 (was 4.2.0)
    - update email address of Debian XMPP Maintainers team
    - delete build dependency from libsecret-1-dev (#905659 is already fixed)
  * Simplify debian/rules:
    - stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
      as workaround for cmake because debhelper already does this since version
      9.20120417
    - delete get-orig-source section
  * Small fix in psi-plus-webkit man page.
  * Add debian/source/lintian-overrides.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Thu, 11 Oct 2018 22:43:21 +0300

=== debian/control ===
Source: psi-plus
Section: net
Priority: optional
Maintainer: Boris Pek <tehnick@debian.org>
Uploaders: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
               libhunspell-dev,
               libidn11-dev,
               libminizip-dev,
               libotr5-dev | libotr2-dev,
               libqca-qt5-2-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libsignal-protocol-c-dev,
               libsm-dev,
               libssl-dev,
               libtidy-dev,
               libxss-dev,
               qt5keychain-dev,
               qtmultimedia5-dev,
               zlib1g-dev
Homepage: https://psi-plus.com/
Vcs-Git: https://salsa.debian.org/xmpp-team/psi-plus.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/psi-plus
Standards-Version: 4.4.0

Package: psi-plus
Architecture: any
Depends: libqca-qt5-2-plugins,
         libqt5sql5-sqlite,
         psi-plus-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: psi-plus-l10n, psi-plus-plugins, psi-plus-sounds, sox
Suggests: libgnome-keyring0, xdg-utils
Description: Qt-based XMPP client (basic version)
 This package contains basic version of Psi+. Use it if you prefer old
 fashioned plain text chats from era of IRC heyday.
 .
 Psi IM is a capable XMPP client aimed at experienced users. There are
 keybindings for just about everything, Unicode is supported throughout,
 contacts are cached offline. Security is also a major consideration, and
 Psi IM provides it for both client-to-server (TLS) and client-to-client
 (GnuPG, OTR, OMEMO).
 .
 Psi+ is a development branch of Psi IM. Project purposes are:
 implementation of new features, writing of patches and plugins for
 transferring them to Psi IM.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs
 .
 Full list of Psi+ features you may found at:
 https://psi-plus.com/wiki/en:features

Package: psi-plus-webkit
Architecture: any
Depends: libqca-qt5-2-plugins,
         libqt5sql5-sqlite,
         psi-plus-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: psi-plus-l10n,
            psi-plus-plugins,
            psi-plus-skins,
            psi-plus-sounds,
            sox
Suggests: libgnome-keyring0, xdg-utils
Description: Qt-based XMPP client (WebKit version)
 This package contains WebKit version of Psi+. In comparing with basic Psi+
 version it has few additional features: support of animated emoticons, support
 of (adium) themes in private chats and group chats, support of previewing of
 images and videos in private chats and group chats, etc..
 .
 Psi IM is a capable XMPP client aimed at experienced users. There are
 keybindings for just about everything, Unicode is supported throughout,
 contacts are cached offline. Security is also a major consideration, and
 Psi IM provides it for both client-to-server (TLS) and client-to-client
 (GnuPG, OTR, OMEMO).
 .
 Psi+ is a development branch of Psi IM. Project purposes are:
 implementation of new features, writing of patches and plugins for
 transferring them to Psi IM.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs
 .
 Full list of Psi+ features you may found at:
 https://psi-plus.com/wiki/en:features

Package: psi-plus-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: common files for Psi+
 This package contains common files for Psi+.
 .
 Psi IM is a capable XMPP client aimed at experienced users. There are
 keybindings for just about everything, Unicode is supported throughout,
 contacts are cached offline. Security is also a major consideration, and
 Psi IM provides it for both client-to-server (TLS) and client-to-client
 (GnuPG, OTR, OMEMO).
 .
 Psi+ is a development branch of Psi IM. Project purposes are:
 implementation of new features, writing of patches and plugins for
 transferring them to Psi IM.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs
 .
 Full list of Psi+ features you may found at:
 https://psi-plus.com/wiki/en:features

Package: psi-plus-plugins
Architecture: any
Depends: psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: plugins for Psi+
 This package contains main plugins for Psi+:
 \* Attention Plugin
 \* Autoreply Plugin
 \* Birthday Reminder Plugin
 \* Chess Plugin
 \* Cleaner Plugin
 \* Client Switcher Plugin
 \* Conference Logger Plugin
 \* Content Downloader Plugin
 \* Enum Messages Plugin
 \* Extended Menu Plugin
 \* Extended Options Plugin
 \* GnuPG Plugin
 \* Gomoku Game Plugin
 \* History Keeper Plugin
 \* HTTP Upload Plugin
 \* ICQ Must Die Plugin
 \* Image Plugin
 \* Image Preview Plugin
 \* Jabber Disk Plugin
 \* Juick Plugin
 \* Message Filter Plugin
 \* OMEMO Plugin
 \* Off-the-Record Plugin
 \* PEP Change Notify Plugin
 \* QIP X-Statuses Plugin
 \* Screenshot Plugin
 \* Skins Plugin
 \* Stop Spam Plugin
 \* Storage Notes Plugin
 \* Translate Plugin
 \* Video Status Plugin
 \* Watcher Plugin
 .
 Psi IM is a capable XMPP client aimed at experienced users. There are
 keybindings for just about everything, Unicode is supported throughout,
 contacts are cached offline. Security is also a major consideration, and
 Psi IM provides it for both client-to-server (TLS) and client-to-client
 (GnuPG, OTR, OMEMO).
 .
 Psi+ is a development branch of Psi IM. Project purposes are:
 implementation of new features, writing of patches and plugins for
 transferring them to Psi IM.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs
 .
 Full list of Psi+ features you may found at:
 https://psi-plus.com/wiki/en:features

Package: psi-plus-skins
Architecture: all
Depends: psi-plus | psi-plus-webkit, psi-plus-plugins, ${misc:Depends}
Multi-Arch: foreign
Description: skins for Psi+
 This package contains skins for Psi+.
 .
 Psi IM is a capable XMPP client aimed at experienced users. There are
 keybindings for just about everything, Unicode is supported throughout,
 contacts are cached offline. Security is also a major consideration, and
 Psi IM provides it for both client-to-server (TLS) and client-to-client
 (GnuPG, OTR, OMEMO).
 .
 Psi+ is a development branch of Psi IM. Project purposes are:
 implementation of new features, writing of patches and plugins for
 transferring them to Psi IM.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs
 .
 Full list of Psi+ features you may found at:
 https://psi-plus.com/wiki/en:features

Package: psi-plus-sounds
Architecture: all
Depends: psi-plus | psi-plus-webkit, ${misc:Depends}
Multi-Arch: foreign
Description: sound files for Psi+
 This package contains sound files for Psi+.
 .
 Psi IM is a capable XMPP client aimed at experienced users. There are
 keybindings for just about everything, Unicode is supported throughout,
 contacts are cached offline. Security is also a major consideration, and
 Psi IM provides it for both client-to-server (TLS) and client-to-client
 (GnuPG, OTR, OMEMO).
 .
 Psi+ is a development branch of Psi IM. Project purposes are:
 implementation of new features, writing of patches and plugins for
 transferring them to Psi IM.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs
 .
 Full list of Psi+ features you may found at:
 https://psi-plus.com/wiki/en:features

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDDIR1 = $(CURDIR)/debian/builddir1
BUILDDIR2 = $(CURDIR)/debian/builddir2
DESTDIR   = $(CURDIR)/debian/tmp

CMAKEOPTS = -DBUNDLED_IRIS=ON \
            -DUSE_HUNSPELL=ON \
            -DUSE_ENCHANT=OFF \
            -DUSE_KEYCHAIN=ON \
            -DUSE_WEBENGINE=OFF \
            -DUSE_CCACHE=OFF \
            -DONLY_PLUGINS=OFF \
            -DBUILD_DEV_PLUGINS=OFF \
            -DSEPARATE_QJDNS=OFF \
            -DVERBOSE_PROGRAM_NAME=ON

OPTSSTEP1 = -DENABLE_PLUGINS=ON \
            -DENABLE_WEBKIT=OFF

OPTSSTEP2 = -DENABLE_PLUGINS=OFF \
            -DENABLE_WEBKIT=ON

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -B$(BUILDDIR1) -- $(CMAKEOPTS) $(OPTSSTEP1)
	dh_auto_configure -B$(BUILDDIR2) -- $(CMAKEOPTS) $(OPTSSTEP2)

override_dh_auto_build:
	dh_auto_build -B$(BUILDDIR1)
	dh_auto_build -B$(BUILDDIR2)

override_dh_auto_test:
	dh_auto_test -B$(BUILDDIR1)
	dh_auto_test -B$(BUILDDIR2)

override_dh_auto_install:
	dh_auto_install -B$(BUILDDIR1) --destdir=$(DESTDIR)
	cp -a $(BUILDDIR2)/psi/psi-plus-webkit $(DESTDIR)/usr/bin/
	cp -a $(CURDIR)/debian/psi-plus*.desktop $(DESTDIR)/usr/share/applications/
	cp -a $(CURDIR)/skins $(DESTDIR)/usr/share/psi-plus/
	cp -a $(CURDIR)/themes $(DESTDIR)/usr/share/psi-plus/

## psi-plus 1.4.554.1%2Brb2

=== debian/changelog ===
psi-plus (1.4.554.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Boris Pek <tehnick@debian.org>  Fri, 29 Jan 2021 09:23:52 +0800
